Take the 2-minute tour ×
WordPress Development Stack Exchange is a question and answer site for WordPress developers and administrators. It's 100% free, no registration required.

I am building a site with WordPress 3.4.2, have made a child theme of WooTheme's Canvas 5 (http://www.woothemes.com/2012/06/canvas/) and am now using the VIP Scanner plugin (http://wordpress.org/extend/plugins/vip-scanner/).

I managed to resolve the majority of the errors outputted for my child theme, but one or two of them are vaguely worded and I cannot figure out a way to solve them:

  1. Warning: Possible output of restricted variables
  2. Warning: Attribution link missing or not well formatted

Any advice?

Thanks

share|improve this question

1 Answer 1

The first one says that you're doing an echo or print of one of $GLOBALS, $_SERVER, $_GET, $_REQUEST, or $_POST. This can often lead to Cross-Site-Scripting security issues. It should tell you what line the offending code is on.

The second one says that you're missing the WordPress.com VIP link, which is a link to http://en.wordpress.com/vip-hosting that shows up on VIP sites.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.